## link link — Link settings |

## Properties

Table 65.

Key Name | Value Type | Default Value | Value Description
--- | --- | --- | ---
    gro-max-size
    int64
    -1
| The maximum size of a packet built by the Generic Receive Offload stack for this device. The value must be between 0 and 4294967295. When set to -1, the existing value is preserved.
    gso-max-segments
    int64
    -1
| The maximum segments of a Generic Segment Offload packet the device should accept. The value must be between 0 and 4294967295. When set to -1, the existing value is preserved.
    gso-max-size
    int64
    -1
| The maximum size of a Generic Segment Offload packet the device should accept. The value must be between 0 and 4294967295. When set to -1, the existing value is preserved.
    tx-queue-length
    int64
    -1
| The size of the transmit queue for the device, in number of packets. The value must be between 0 and 4294967295. When set to -1, the existing value is preserved.